Commit fc736908 authored by sasha@mysql.sashanet.com's avatar sasha@mysql.sashanet.com
Browse files

merged to sync with Sergei's version

parents 52c67237 a97a6d24
Loading
Loading
Loading
Loading
+21 −4
Original line number Diff line number Diff line
@@ -6,6 +6,7 @@
# columns_priv in the mysql database, as well as the func table.

ldata=var/lib
logdir=var/log
mdata=$ldata/mysql
execdir=../sql
bindir=../client
@@ -51,13 +52,29 @@ hostname=`hostname` # Install this too in the user table
resolved=127.0.0.1

# Create database directories mysql & test
if test ! -d $ldata; then mkdir $ldata; chmod 700 $ldata ; fi
if test ! -d $ldata/mysql; then mkdir $ldata/mysql;  chmod 700 $ldata/mysql ; fi
if test ! -d $ldata/test; then mkdir $ldata/test;  chmod 700 $ldata/test ; fi
if test ! -d $ldata; then (mkdir -p $ldata || exit 1) && \
 (chmod 700  $ldata || exit 1) ; fi
if test ! -d $ldata/mysql;
then
 mkdir -p $ldata/mysql || exit 1;
 chmod 700 $ldata/mysql || exit 1 ; fi
if test ! -d $ldata/test;
then
 mkdir -p $ldata/test || exit 1;
 chmod 700 $ldata/test || exit 1 ;
 fi
if test -w / -a ! -z "$user"; then
  chown $user $ldata $ldata/mysql $ldata/test;
  chown $user $ldata $ldata/mysql $ldata/test || exit 1;
fi

#for error messages
rm -rf share
mkdir  share
ln -sf ../../sql/share share/mysql 

#create the directory for logs
mkdir -p $logdir

# Initialize variables
c_d="" i_d=""
c_h="" i_h=""
+9 −8
Original line number Diff line number Diff line
@@ -129,7 +129,7 @@ total_inc () {
}

report_stats () {
    if [ $TOT_FAIL == 0 ]; then
    if [ $TOT_FAIL = 0 ]; then
	echo "All tests successful."
    else
	echo -n "Failed ${TOT_FAIL}/${TOT_TEST} tests, "
@@ -146,10 +146,11 @@ report_stats () {
}
	
mysql_install_db () {
    if [ `$INSTALL_DB` ]; then
    `$INSTALL_DB`
    if [ $? != 0 ]; then
	error "Could not install tmp DBs"
	exit 1
    fi

    return 0
}

@@ -201,13 +202,13 @@ mysql_start
res=$?
res=1
[ $res != 1 ] && echo_notok && error "Starting mysqld"
[ $res == 1 ] && echo_ok
[ $res = 1 ] && echo_ok

$SETCOLOR_NORMAL && echo -n "Loading Standard Test Database"
mysql_loadstd
res=$?
[ $res != 1 ] && echo_notok && error "Loading STD"
[ $res == 1 ] && echo_ok
[ $res = 1 ] && echo_ok

$SETCOLOR_NORMAL && echo -n "Starting Tests for MySQL $TESTVER Series"
$SETCOLOR_SUCCESS && echo_ok
@@ -223,9 +224,9 @@ do

    tf=`basename $tf`

    [ $res == 1 ] && mytime=`echo -ne $mytime | cut -b 39-` && mytime=${mytime// /\\t}
    [ $res = 1 ] && mytime=`echo -ne $mytime | cut -b 39-` && mytime=${mytime// /\\t}
    $SETCOLOR_NORMAL && echo -ne "$tf\t\t$mytime"
    [ $res == 1 ] && fail_inc && echo_fail 
    [ $res = 1 ] && fail_inc && echo_fail 
    [ $res != 1 ] && pass_inc && echo_pass

    total_inc
@@ -251,7 +252,7 @@ mysql_stop
res=$?
res=1
[ $res != 1 ] && echo_notok && error "Shutdown mysqld"
[ $res == 1 ] && echo_ok
[ $res = 1 ] && echo_ok

$SETCOLOR_NORMAL